server {

    listen 80;

    sendfile on;

    default_type application/octet-stream;

    gzip on;
    gzip_http_version 1.1;
    gzip_disable      "MSIE [1-6]\.";
    gzip_min_length   1100;
    gzip_vary         on;
    gzip_proxied      expired no-cache no-store private auth;
    gzip_types        text/plain text/css application/json application/javascript application/x-javascript text/xml application/xml application/xml+rss text/javascript;
    gzip_comp_level   9;

    root /usr/share/nginx/html;

    location / {
        try_files $uri $uri/ /index.html =404;
    }

    location /bnf-api/ {
        proxy_pass http://$BNF_API_SERVER/;
    }

    location /api/ {
        proxy_pass http://$API_SERVER/;
    }

    location /files/ {
        proxy_pass http://$FILE_SERVER/;
    }

}
